StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Functions
sc_hypervisor_config.h File Reference
`#include <sc_hypervisor.h>`

Go to the source code of this file.

## Data Structures
struct | sc_hypervisor_policy_config

## Macros
#define | SC_HYPERVISOR_MAX_IDLE
#define | SC_HYPERVISOR_MIN_WORKING
#define | SC_HYPERVISOR_PRIORITY
#define | SC_HYPERVISOR_MIN_WORKERS
#define | SC_HYPERVISOR_MAX_WORKERS
#define | SC_HYPERVISOR_GRANULARITY
#define | SC_HYPERVISOR_FIXED_WORKERS
#define | SC_HYPERVISOR_MIN_TASKS
#define | SC_HYPERVISOR_NEW_WORKERS_MAX_IDLE
#define | SC_HYPERVISOR_TIME_TO_APPLY
#define | SC_HYPERVISOR_NULL
#define | SC_HYPERVISOR_ISPEED_W_SAMPLE
#define | SC_HYPERVISOR_ISPEED_CTX_SAMPLE
#define | SC_HYPERVISOR_TIME_SAMPLE
#define | MAX_IDLE_TIME
#define | MIN_WORKING_TIME

## Functions
void | sc_hypervisor_set_config (unsigned sched_ctx, void *config)
struct sc_hypervisor_policy_config * | sc_hypervisor_get_config (unsigned sched_ctx)
void | sc_hypervisor_ctl (unsigned sched_ctx,...)